Subject: bug#38713: 27.0.50; eww doesn't handle protocols other than https?

From: Juri Linkov <[email-masked]>
Date: Tue, 24 Dec 2019 01:12:15 +0200

>> 1. M-x eww RET about:protocols RET hangs with the following line:
>>
>> Loading http://about:protocols/...
>>
>> whereas after applying the following patch it displays the nicely
>> formatted HTML page:
>>
>>   Supported Protocols - URL vEmacs
>>    Protocol   Properties   Description
>>    about   Synchronous  N/A
>>      Default Port: 0
>>    ...
>
> I'm not sure that makes much sense, really.  Emacs has other ways of
> documenting these things other than putting them in an about:
> pseudo-protocol thing.  (While other browsers do not.)

This is part of the planned bigger effort - browsers already support
the 'about' URI scheme, but Emacs is still lagging behind.  I'd like
to expend lisp/url/url-about.el to give information on Emacs internals
including about:memory, about:buffers, about:processes, about:timers and
many more, using HTML instead of semi-obsolete Info or other ad-hoc formats.

Do you think this is worth the effort?